---
- name: Uncompress backup file
  ansible.builtin.shell: "/usr/bin/pigz -d --stdout {{ mariadb_restore_full_filepath }} >{{ mariadb_restore_full_filepath | splitext | first }}"
  notify: Remove uncompressed backup file
  changed_when: true

- name: Restore database from backup
  ansible.builtin.shell: "/usr/bin/mysql -u root -S {{ mariadb_login_unix_socket }} {{ mariadb_restore_full_filepath | split('.') | first | split('/') | last }} <{{ mariadb_restore_full_filepath | splitext | first }}"
  changed_when: true
